Package org.linphone.core

# Interface SignalInformation

public interface SignalInformation
Object to get signal (wifi/4G etc...) informations.

## Method Summary

Modifier and Type
Method
Description
`SignalInformation`
`clone()`
Clone the given signalInformation.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`SignalType`
`getSignalType()`
Get the `SignalType` of the `SignalInformation`.
`SignalStrengthUnit`
`getSignalUnit()`
Get the `SignalStrengthUnit` value of the `SignalInformation`.
`float`
`getStrength()`
Gets the value of the `SignalInformation`.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setSignalType(SignalType type)`
Set a new `SignalType` to a `SignalInformation`.
`void`
`setSignalUnit(SignalStrengthUnit unit)`
Set a new `SignalStrengthUnit` to a `SignalInformation`.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`void`
`setValue(float value)`
Set a new value to a `SignalInformation`.
`String`
`toString()`

## Method Details

### getSignalType

SignalType getSignalType()
Get the `SignalType` of the `SignalInformation`.

Returns:
  A `SignalType`.

### setSignalType

void setSignalType(SignalType type)
Set a new `SignalType` to a `SignalInformation`.

Parameters:
  `type` - The new `SignalType` to set.

### getSignalUnit

SignalStrengthUnit getSignalUnit()
Get the `SignalStrengthUnit` value of the `SignalInformation`.

Returns:
  A `SignalStrengthUnit`.

### setSignalUnit

void setSignalUnit(SignalStrengthUnit unit)
Set a new `SignalStrengthUnit` to a `SignalInformation`.

Parameters:
  `unit` - The new `SignalStrengthUnit` to set.

### getStrength

float getStrength()
Gets the value of the `SignalInformation`.

Returns:
  A float containing the value.

### setValue

void setValue(float value)
Set a new value to a `SignalInformation`.

Parameters:
  `value` - a float containing the new value to set.

### clone

SignalInformation clone()
Clone the given signalInformation.

Returns:
  A new signalInformation with exactly same informations that param.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`